import { useLanguageStore } from '@/stores/language.js'

export const useAppInit = () => {
  const languageStore = useLanguageStore()
  
  // 应用初始化
  const initApp = () => {
    console.log('App initialization started')
    
    // 初始化语言
    languageStore.initLocale()
    
    console.log('App initialization completed')
  }
  
  return {
    initApp
  }
}
